QGIS Application - Bug report #21668
composer legend feature count not correct when datasource is in a network folder
2019-03-25 08:40 AM - Yohan GIBERT

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.6.0 Regression?: No
Operating System: Windows 10 Pro Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29484
Description

In english :

On export, counting entities in the legend displays [n / a] instead of the count for a categorized layer. The overall count of the layer is
exported well but not at the category level.

En Francais :
A l'export, le décompte des entités dans la Iégende affiche [n/a] au lieu du décompte pour une couche catégorisée. Le décompte général
de la couche s'exporte bien mais pas au niveau des catégories.

History

#1 - 2019-03-26 08:24 AM - Yohan GIBERT

In English :

My data is in a gpkg file on a server in my community, and when | copy the gpkg locally, the count of entities by categories works in PDF export.
The problem may be a network loading time too long?

The path to the data seems to me not too long:

Source

M: /ARCGIS/Voirie/DOCUMENTS_MXD/Fichiers_MXD/Programmation_suivi/programmation.gpkg | layername = Programming

En Francais :

Mes données sont dans un fichier gpkg sur un serveur de ma collectivité, et quand je copie le gpkg en local, le décompte des entités par catégories
fonctionne a I'export PDF.

Le probleme vient peut-étre d'un temps de chargement réseau trop long ?

Le chemin d'acces aux données me semble pas trop long :

Source

M:/ARCGIS/Voirie/DOCUMENTS_MXD/Fichiers_ MXD/Programmation_suivi/programmation.gpkg|layername=programmation

#2 - 2019-03-26 03:16 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Regression? changed from Yes to No

- Subject changed from QGIS 3.6 : composer legend no counting entities in export to composer legend feature count not correct when datasource is in a
network folder
